PM71268: CONFIGTOOL FAILING TO FIND THE CORRECT VERSION OF WEBSPHERE - AS A RESULT, CONFIGTOOL DOES NOT ALLOW USER TO CONTINUE.

Subscribe to this APAR

By subscribing, you receive periodic emails alerting you to the status of the APAR, along with a link to the fix after it becomes available. You can track this item individually or track all items by product.

Notify me when this APAR changes.

Notify me when an APAR for this component changes.

APAR status

  • Closed as program error.

Error description

  • During the execution of configTool, it will run the versionInfo
    tool from WebSphere to validate the version that is currently
    installed (Fix Pack level as well).  We have a customer who is
    unable to get pass the configTool, because it is erroring on the
    version that they have installed.  They have 8.0.0.3 installed.
    However, when running the versionInfo tool, 2 versions are being
    returned:
    
    Name          IBM WebSphere Application Server Network
    Deployment
    Version        8.0.0.3
    
    and
    
    Name            IBM WebSphere eXtreme Scale
    Version        7.1.1.1
    
    It appears the pre-req checker used by configTool utility is
    only picking up the last version reference and failing.
    
    The errors that are returned maybe similar to the following:
    
    Aug 17 2012 15:27:04 INFO : check: step:  Executing:
    /opt/IBM/WODM80b/WAS/AppServer/profiles/spsscds/bin/versionInfo.
    sh
    Aug 17 2012 15:27:05 WARN : check: stop:  Prerequisite Check:
    Application Server Path Validation: FAIL: This version of the
    application server is not supported. Please refer to the
    documentation for supported versions.
    Aug 17 2012 15:27:05 INFO : Test Name: websphere-path-Validation
    Aug 17 2012 15:27:05 INFO : Passed: false
    Aug 17 2012 15:27:05 INFO : Results: This version of the
    application server is not supported. Please refer to the
    documentation for supported versions.
    Aug 17 2012 15:27:05 ERROR: Validate Application Server: This
    version of the application server is not supported. Please refer
    to the documentation for supported versions.
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:                                              *
    * Customers running C&DS 5.0 configTool against WebSphere      *
    * profile that contains addons.                                *
    ****************************************************************
    * PROBLEM DESCRIPTION:                                         *
    * During the execution of configTool, we will run the          *
    * versionInfo                                                  *
    * tool from WebSphere to validate the version that is          *
    * currently                                                    *
    * installed (Fix Pack level as well).  We have a customer who  *
    * is                                                           *
    * unable to get pass the configTool, because it is erroring on *
    * the                                                          *
    * version that they have installed.  They have 8.0.0.3         *
    * installed.                                                   *
    * However, when running the versionInfo tool, 2 versions are   *
    * being                                                        *
    * returned:                                                    *
    *                                                              *
    * Name          IBM WebSphere Application Server Network       *
    * Deployment                                                   *
    * Version        8.0.0.3                                       *
    *                                                              *
    * and                                                          *
    *                                                              *
    * Name            IBM WebSphere eXtreme Scale                  *
    * Version        7.1.1.1                                       *
    *                                                              *
    * It appears our checker is only picking up the last version   *
    * reference and failing.                                       *
    ****************************************************************
    * RECOMMENDATION:                                              *
    * This issue has been addressed in C&DS 5.0 Fix Pack 1.        *
    ****************************************************************
    

Problem conclusion

  • This issue has been addressed in C&DS 5.0 Fix Pack 1.
    

Temporary fix

Comments

APAR Information

  • APAR number

    PM71268

  • Reported component name

    SPSS CADS

  • Reported component ID

    5725A72CD

  • Reported release

    500

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2012-08-21

  • Closed date

    2012-12-12

  • Last modified date

    2013-01-22

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    SPSS CADS

  • Fixed component ID

    5725A72CD

Applicable component levels

  • R500 PSY

       UP



Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

SPSS Collaboration and Deployment Services

Software version:

5.0

Reference #:

PM71268

Modified date:

2013-01-22

Translate my page

Machine Translation

Content navigation